const express = require('express');
const router = express.Router();
const sessions = require('../utils/db');

const indexHtml = `<html>
<meta charset="utf-8">
<body>
<textarea id="content"></textarea>
<br>
<button id="post" disabled>投稿</button>
</body>
<script>
   onload = async (event) => {
      await fetch('/api/auth/session', {method: 'POST'});
      const note = await fetch('/api/note')
      document.querySelector('#content').value = (await note.json()).content;
      document.querySelector('#post').addEventListener('click', function(){
        fetch('/api/note/save', {
            method: 'POST',
            headers: {"Content-Type": "application/json"},
            body: JSON.stringify({
                content: document.querySelector('#content').value,
            })
        });
      });
      document.querySelector('#post').disabled = false;
   }; 
</script>
</html>`;

router.get('/', function(req, res, next) {
    const session = sessions[req.cookies['minictf']];
    res.send(indexHtml);
});

module.exports = router;
